Bug 8132 - Samba does not fill printers Location field when using cups
Samba does not fill printers Location field when using cups
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Printing
3.5.8
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-13 05:53 UTC by Jan Wenzel
Modified: 2011-05-17 08:48 UTC (History)
2 users (show)

See Also:


Attachments
fix cups pull location function (4.37 KB, patch)
2011-05-16 12:53 UTC, Guenther Deschner
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Wenzel 2011-05-13 05:53:48 UTC
If a cups printer is exported via samba, Windows clients do not see the printers location field using i.e. Windows Explorer.

Setting the Location manually via a Windows Client succeeds and is not resetted after a restart of samba or when calling cupsaddsmb.

I've tried this using 3.5.6 and also 3.5.8.

At least with 3.2.x it works.

OS: Debian GNU/Linux Squeeze 32Bit with default 2.6.32 Kernel
Samba: 3.5.8-27-Sernet
CUPS: 1.4.4-7
Comment 1 Guenther Deschner 2011-05-13 08:32:30 UTC
I have a fix for this, attaching soon.
Comment 2 Guenther Deschner 2011-05-16 12:53:45 UTC
Created attachment 6447 [details]
fix cups pull location function
Comment 3 Andreas Schneider 2011-05-16 16:21:04 UTC
Comment on attachment 6447 [details]
fix cups pull location function

Looks good!
Comment 4 Andreas Schneider 2011-05-16 16:22:03 UTC
Karolin, could you please apply the patches?
Comment 5 Karolin Seeger 2011-05-17 07:08:07 UTC
(In reply to comment #4)
> Karolin, could you please apply the patches?

Pushed to v3-6-test.
Closing out bug report.

Thanks!
Comment 6 Guenther Deschner 2011-05-17 08:32:11 UTC
Karolin, you meant you pushed to 3-5-test, right ? ;-)

In 3-6-test we solved this differently.
Comment 7 Karolin Seeger 2011-05-17 08:48:17 UTC
(In reply to comment #6)
> Karolin, you meant you pushed to 3-5-test, right ? ;-)
> 
> In 3-6-test we solved this differently.

Yeah, just a typo, sorry!